package com.dxhy.erp.service;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.dxhy.common.util.pojo.GlobalInfo;

/**
 * @author dxhy
 */
public interface AuthStatusService {

    /**
     * 待填
     * 
     * @param taxno
     * @return
     */
    String getDbName(String taxno);

    /**
     * 待填
     * 
     * @param requestParam
     * @return
     * @throws Exception
     */
    GlobalInfo getGlobalInfo(Map<String, String> requestParam) throws Exception;

    /**
     * 待填
     * 
     * @param globalInfo
     * @return
     * @throws Exception
     */
    String getInterfaceCodeError(GlobalInfo globalInfo) throws Exception;

    /**
     * 待填
     * 
     * @param globalInfo
     * @return
     */
    String getDealWithFailure(GlobalInfo globalInfo);

    /**
     * 待填
     * 
     * @param globalInfo
     * @return
     * @throws Exception
     */
    String getSignFailure(GlobalInfo globalInfo) throws Exception;

    /**
     * 待填
     * 
     * @param request
     * @param requestParam
     * @return
     */
    int validParams(HttpServletRequest request, Map<String, String> requestParam);

}
